Add Rule Management Standalone
authortangpeng <tang.peng5@zte.com.cn>
Tue, 28 Feb 2017 01:35:00 +0000 (09:35 +0800)
committertangpeng <tang.peng5@zte.com.cn>
Tue, 28 Feb 2017 02:19:38 +0000 (10:19 +0800)
Change-Id: I469fa41ea70f4f7b7740716287e46201f5faa484
Issue-ID:HOLMES-47
Signed-off-by: tangpeng <tang.peng5@zte.com.cn>
15 files changed:
pom.xml
rulemgt-standalone/linux64-assembly.xml [new file with mode: 0644]
rulemgt-standalone/pom.xml [new file with mode: 0644]
rulemgt-standalone/src/main/assembly/bin/find_kill_process.bat [new file with mode: 0644]
rulemgt-standalone/src/main/assembly/bin/initDB.bat [new file with mode: 0644]
rulemgt-standalone/src/main/assembly/bin/initDB.sh [new file with mode: 0644]
rulemgt-standalone/src/main/assembly/bin/run.bat [new file with mode: 0644]
rulemgt-standalone/src/main/assembly/bin/run.sh [new file with mode: 0644]
rulemgt-standalone/src/main/assembly/bin/stop.bat [new file with mode: 0644]
rulemgt-standalone/src/main/assembly/bin/stop.sh [new file with mode: 0644]
rulemgt-standalone/src/main/assembly/conf/rulemgt.yml [new file with mode: 0644]
rulemgt-standalone/src/main/assembly/dbscripts/mysql/openo-holmes_rulemgt-createobj.sql [new file with mode: 0644]
rulemgt-standalone/win64-assembly.xml [new file with mode: 0644]
rulemgt/dependency-reduced-pom.xml [deleted file]
rulemgt/pom.xml

diff --git a/pom.xml b/pom.xml
index f2e9540..aadc429 100644 (file)
--- a/pom.xml
+++ b/pom.xml
@@ -30,6 +30,7 @@
     <name>holmes-rulemgt-parent</name>\r
     <modules>\r
         <module>rulemgt</module>\r
+        <module>rulemgt-standalone</module>\r
     </modules>\r
 \r
     <properties>\r
         <jaxrs.consumer.version>5.0</jaxrs.consumer.version>\r
         <slf4j.version>1.6.1</slf4j.version>\r
         <quartz.version>2.2.1</quartz.version>\r
+\r
+\r
+        <packagename>openo-holmes-rulemgt</packagename>\r
+        <linux64id>linux64</linux64id>\r
+        <win64id>win64</win64id>\r
+        <linux64outputdir>target/assembly/${linux64id}</linux64outputdir>\r
+        <win64outputdir>target/assembly/${win64id}</win64outputdir>\r
+        <version.output>target/version</version.output>\r
     </properties>\r
     <dependencyManagement>\r
         <dependencies>\r
+            <dependency>\r
+                <groupId>org.easymock</groupId>\r
+                <artifactId>easymock</artifactId>\r
+                <version>3.0</version>\r
+            </dependency>\r
             <dependency>\r
                 <groupId>org.openo.holmes.actions</groupId>\r
                 <artifactId>holmes-actions</artifactId>\r
                 <version>${project.version}</version>\r
             </dependency>\r
+            <dependency>\r
+                <groupId>io.dropwizard</groupId>\r
+                <artifactId>dropwizard-core</artifactId>\r
+                <version>${dropwizard.version}</version>\r
+            </dependency>\r
             <dependency>\r
                 <groupId>io.dropwizard</groupId>\r
                 <artifactId>dropwizard-db</artifactId>\r
@@ -72,6 +91,7 @@
                 <groupId>io.swagger</groupId>\r
                 <artifactId>swagger-jersey2-jaxrs</artifactId>\r
                 <version>${swagger.version}</version>\r
+                <scope>provided</scope>\r
             </dependency>\r
 \r
             <dependency>\r
             <dependency>\r
                 <groupId>org.powermock</groupId>\r
                 <artifactId>powermock-module-junit4</artifactId>\r
-                <version>1.6.4</version>\r
+                <version>1.6.5</version>\r
                 <scope>test</scope>\r
             </dependency>\r
+\r
+            <dependency>\r
+                <groupId>org.openo.client.cli</groupId>\r
+                <artifactId>swagger-sdk</artifactId>\r
+                <version>1.1.0-SNAPSHOT</version>\r
+            </dependency>\r
         </dependencies>\r
     </dependencyManagement>\r
 \r
diff --git a/rulemgt-standalone/linux64-assembly.xml b/rulemgt-standalone/linux64-assembly.xml
new file mode 100644 (file)
index 0000000..4bb9c11
--- /dev/null
@@ -0,0 +1,31 @@
+<!--
+
+    Copyright 2017 ZTE Corporation.
+
+    Licensed under the Apache License, Version 2.0 (the "License");
+    you may not use this file except in compliance with the License.
+    You may obtain a copy of the License at
+
+        http://www.apache.org/licenses/LICENSE-2.0
+
+    Unless required by applicable law or agreed to in writing, software
+    distributed under the License is distributed on an "AS IS" BASIS,
+    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+    See the License for the specific language governing permissions and
+    limitations under the License.
+
+-->
+<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2 http://maven.apache.org/xsd/assembly-1.1.2.xsd">
+    <id>linux64</id>
+    <formats>
+        <format>zip</format>
+    </formats>
+    <includeBaseDirectory>false</includeBaseDirectory>
+    <fileSets>
+        <fileSet>
+            <directory>target/assembly/linux64</directory>
+            <outputDirectory></outputDirectory>
+        </fileSet>
+    </fileSets>
+</assembly>
diff --git a/rulemgt-standalone/pom.xml b/rulemgt-standalone/pom.xml
new file mode 100644 (file)
index 0000000..ea4b985
--- /dev/null
@@ -0,0 +1,174 @@
+<?xml version="1.0"?>
+<!--
+
+    Copyright 2017 ZTE Corporation.
+
+    Licensed under the Apache License, Version 2.0 (the "License");
+    you may not use this file except in compliance with the License.
+    You may obtain a copy of the License at
+
+        http://www.apache.org/licenses/LICENSE-2.0
+
+    Unless required by applicable law or agreed to in writing, software
+    distributed under the License is distributed on an "AS IS" BASIS,
+    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+    See the License for the specific language governing permissions and
+    limitations under the License.
+
+-->
+<project xmlns="http://maven.apache.org/POM/4.0.0"
+  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+  <parent>
+    <groupId>org.openo.holmes.rule-management</groupId>
+    <artifactId>holmes-rulemgt-parent</artifactId>
+    <version>1.1.0-SNAPSHOT</version>
+  </parent>
+
+  <artifactId>holmes-rulemgt-standalone</artifactId>
+  <modelVersion>4.0.0</modelVersion>
+  <name>holmes-rulemgt/holmes-rulemgt-standalone</name>
+  <packaging>pom</packaging>
+
+  <build>
+    <plugins>
+      <plugin>
+        <artifactId>maven-resources-plugin</artifactId>
+        <executions>
+          <execution>
+            <id>copy-resources-${linux64id}</id>
+            <phase>process-resources</phase>
+            <goals>
+              <goal>copy-resources</goal>
+            </goals>
+            <configuration>
+              <outputDirectory>${linux64outputdir}</outputDirectory>
+              <resources>
+                <resource>
+                  <directory>src/main/assembly/</directory>
+                  <filtering>false</filtering>
+                  <includes>
+                    <include>**/*</include>
+                  </includes>
+                  <excludes>
+                    <exclude>**/*.bat</exclude>
+                  </excludes>
+                </resource>
+              </resources>
+              <overwrite>true</overwrite>
+            </configuration>
+          </execution>
+          <execution>
+            <id>copy-resources-${win64id}</id>
+            <phase>process-resources</phase>
+            <goals>
+              <goal>copy-resources</goal>
+            </goals>
+            <configuration>
+              <outputDirectory>${win64outputdir}</outputDirectory>
+              <resources>
+                <resource>
+                  <directory>src/main/assembly/</directory>
+                  <filtering>false</filtering>
+                  <includes>
+                    <include>**/*</include>
+                  </includes>
+                  <excludes>
+                    <exclude>**/*.sh</exclude>
+                  </excludes>
+                </resource>
+              </resources>
+              <overwrite>true</overwrite>
+            </configuration>
+          </execution>
+        </executions>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-dependency-plugin</artifactId>
+        <executions>
+          <execution>
+            <id>copy-jar-${linux64id}</id>
+            <goals>
+              <goal>copy</goal>
+            </goals>
+            <phase>prepare-package</phase>
+            <configuration>
+              <artifactItems>
+                <artifactItem>
+                  <groupId>org.openo.holmes.rule-management</groupId>
+                  <artifactId>holmes-rulemgt</artifactId>
+                  <type>jar</type>
+                  <overWrite>true</overWrite>
+                  <outputDirectory>${linux64outputdir}</outputDirectory>
+                  <destFileName>holmes-rulemgt.jar</destFileName>
+                </artifactItem>
+              </artifactItems>
+            </configuration>
+          </execution>
+          <execution>
+            <id>copy-jar-${win64id}</id>
+            <goals>
+              <goal>copy</goal>
+            </goals>
+            <phase>prepare-package</phase>
+            <configuration>
+              <artifactItems>
+                <artifactItem>
+                  <groupId>org.openo.holmes.rule-management</groupId>
+                  <artifactId>holmes-rulemgt</artifactId>
+                  <type>jar</type>
+                  <overWrite>true</overWrite>
+                  <outputDirectory>${win64outputdir}</outputDirectory>
+                  <destFileName>holmes-rulemgt.jar</destFileName>
+                </artifactItem>
+              </artifactItems>
+            </configuration>
+          </execution>
+        </executions>
+      </plugin>
+      <plugin>
+        <groupId>org.apache.maven.plugins</groupId>
+        <artifactId>maven-assembly-plugin</artifactId>
+        <executions>
+          <execution>
+            <id>linux64</id>
+            <configuration>
+              <descriptors>
+                <descriptor>linux64-assembly.xml</descriptor>
+              </descriptors>
+              <appendAssemblyId>true</appendAssemblyId>
+              <outputDirectory>target/version</outputDirectory>
+            </configuration>
+            <phase>package</phase>
+            <goals>
+              <goal>attached</goal>
+            </goals>
+          </execution>
+          <execution>
+            <id>win64</id>
+            <configuration>
+              <descriptors>
+                <descriptor>win64-assembly.xml</descriptor>
+              </descriptors>
+              <appendAssemblyId>true</appendAssemblyId>
+              <outputDirectory>target/version</outputDirectory>
+            </configuration>
+            <phase>package</phase>
+            <goals>
+              <goal>attached</goal>
+            </goals>
+          </execution>
+        </executions>
+      </plugin>
+    </plugins>
+  </build>
+
+  <dependencies>
+    <dependency>
+      <groupId>org.openo.holmes.rule-management</groupId>
+      <artifactId>holmes-rulemgt</artifactId>
+      <version>${project.version}</version>
+    </dependency>
+  </dependencies>
+</project>
diff --git a/rulemgt-standalone/src/main/assembly/bin/find_kill_process.bat b/rulemgt-standalone/src/main/assembly/bin/find_kill_process.bat
new file mode 100644 (file)
index 0000000..6c61d50
--- /dev/null
@@ -0,0 +1,24 @@
+@REM\r
+@REM Copyright 2017 ZTE Corporation.\r
+@REM\r
+@REM Licensed under the Apache License, Version 2.0 (the "License");\r
+@REM you may not use this file except in compliance with the License.\r
+@REM You may obtain a copy of the License at\r
+@REM\r
+@REM     http://www.apache.org/licenses/LICENSE-2.0\r
+@REM\r
+@REM Unless required by applicable law or agreed to in writing, software\r
+@REM distributed under the License is distributed on an "AS IS" BASIS,\r
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
+@REM See the License for the specific language governing permissions and\r
+@REM limitations under the License.\r
+@REM\r
+\r
+echo %1 | findstr %2 >NUL\r
+echo ERRORLEVEL=%ERRORLEVEL%\r
+IF ERRORLEVEL 1 goto findend\r
+for /f "tokens=1" %%a in (%1) do (  \r
+    echo kill %1\r
+    taskkill /F /pid %%a\r
+)\r
+:findend
\ No newline at end of file
diff --git a/rulemgt-standalone/src/main/assembly/bin/initDB.bat b/rulemgt-standalone/src/main/assembly/bin/initDB.bat
new file mode 100644 (file)
index 0000000..f6d83af
--- /dev/null
@@ -0,0 +1,34 @@
+@REM
+@REM Copyright 2017 ZTE Corporation.
+@REM
+@REM Licensed under the Apache License, Version 2.0 (the "License");
+@REM you may not use this file except in compliance with the License.
+@REM You may obtain a copy of the License at
+@REM
+@REM     http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing, software
+@REM distributed under the License is distributed on an "AS IS" BASIS,
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+@REM See the License for the specific language governing permissions and
+@REM limitations under the License.
+@REM
+
+@echo off
+set HOME=%~dp0
+set user=%1
+set password=%2
+set port=%3
+set host=%4
+echo start init holmes rulemgt db
+echo HOME=%HOME%
+set main_path=%HOME%..\
+cd /d %main_path%
+mysql -u%user% -p%password% -P%port% -h%host% < %main_path%\dbscripts\mysql\openo-holmes_rulemgt-createobj.sql
+set "err=%errorlevel%"
+if "%err%"=="0" (
+   echo init rulemgt db success
+  ) else (
+    echo failed init rulemgt db
+    pause
+  )
\ No newline at end of file
diff --git a/rulemgt-standalone/src/main/assembly/bin/initDB.sh b/rulemgt-standalone/src/main/assembly/bin/initDB.sh
new file mode 100644 (file)
index 0000000..f49123d
--- /dev/null
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Copyright 2017 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+user=$1
+password=$2
+port=$3
+host=$4
+echo "start init holmes rulemgt db"
+main_path=$HOME/../
+mysql -u$user -p$password -P$port -h$host <$main_path/dbscripts/mysql/openo-holmes_rulemgt-createobj.sql
+sql_result=$?
+if [ $sql_result != 0 ] ; then
+   echo "failed to init rulemgt database!"
+   exit 1
+fi
+echo "init rulemgt success!"
+exit 0
+
diff --git a/rulemgt-standalone/src/main/assembly/bin/run.bat b/rulemgt-standalone/src/main/assembly/bin/run.bat
new file mode 100644 (file)
index 0000000..6553c82
--- /dev/null
@@ -0,0 +1,41 @@
+@REM\r
+@REM Copyright 2017 ZTE Corporation.\r
+@REM\r
+@REM Licensed under the Apache License, Version 2.0 (the "License");\r
+@REM you may not use this file except in compliance with the License.\r
+@REM You may obtain a copy of the License at\r
+@REM\r
+@REM     http://www.apache.org/licenses/LICENSE-2.0\r
+@REM\r
+@REM Unless required by applicable law or agreed to in writing, software\r
+@REM distributed under the License is distributed on an "AS IS" BASIS,\r
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
+@REM See the License for the specific language governing permissions and\r
+@REM limitations under the License.\r
+@REM\r
+\r
+@echo off\r
+title holmes-rulemgt-service\r
+\r
+set RUNHOME=%~dp0\r
+echo ### RUNHOME: %RUNHOME%\r
+echo ### Starting rulemgt-service\r
+set main_path=%RUNHOME%..\\r
+cd /d %main_path%\r
+set JAVA="%JAVA_HOME%\bin\java.exe"\r
+set port=8312\r
+set jvm_opts=-Xms50m -Xmx128m\r
+rem set jvm_opts=%jvm_opts% -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=%port%,server=y,suspend=n\r
+set class_path=%main_path%;%main_path%holmes-rulemgt.jar\r
+echo ### jvm_opts: %jvm_opts%\r
+echo ### class_path: %class_path%\r
+\r
+%JAVA% -classpath %class_path% %jvm_opts% org.openo.holmes.rulemgt.RuleActiveApp server %main_path%conf/rulemgt.yml\r
+\r
+IF ERRORLEVEL 1 goto showerror\r
+exit\r
+:showerror\r
+echo WARNING: Error occurred during startup or Server abnormally stopped by way of killing the process,Please check!\r
+echo After checking, press any key to close \r
+pause\r
+exit
\ No newline at end of file
diff --git a/rulemgt-standalone/src/main/assembly/bin/run.sh b/rulemgt-standalone/src/main/assembly/bin/run.sh
new file mode 100644 (file)
index 0000000..0519cc2
--- /dev/null
@@ -0,0 +1,35 @@
+#
+# Copyright 2017 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+RUNHOME=`cd $DIRNAME/; pwd`
+echo @RUNHOME@ $RUNHOME
+
+echo @JAVA_HOME@ $JAVA_HOME
+JAVA="$JAVA_HOME/bin/java"
+echo @JAVA@ $JAVA
+main_path=$RUNHOME/../
+cd $main_path
+JAVA_OPTS="-Xms50m -Xmx128m"
+port=8312
+#JAVA_OPTS="$JAVA_OPTS -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=$port,server=y,suspend=n"
+echo @JAVA_OPTS@ $JAVA_OPTS
+
+class_path="$main_path/:$main_path/holmes-rulemgt.jar"
+echo @class_path@ $class_path
+
+"$JAVA" $JAVA_OPTS -classpath "$class_path" org.openo.holmes.rulemgt.RuleActiveApp server "$main_path/conf/rulemgt.yml"
+
diff --git a/rulemgt-standalone/src/main/assembly/bin/stop.bat b/rulemgt-standalone/src/main/assembly/bin/stop.bat
new file mode 100644 (file)
index 0000000..ca7b4ff
--- /dev/null
@@ -0,0 +1,34 @@
+@REM\r
+@REM Copyright 2017 ZTE Corporation.\r
+@REM\r
+@REM Licensed under the Apache License, Version 2.0 (the "License");\r
+@REM you may not use this file except in compliance with the License.\r
+@REM You may obtain a copy of the License at\r
+@REM\r
+@REM     http://www.apache.org/licenses/LICENSE-2.0\r
+@REM\r
+@REM Unless required by applicable law or agreed to in writing, software\r
+@REM distributed under the License is distributed on an "AS IS" BASIS,\r
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
+@REM See the License for the specific language governing permissions and\r
+@REM limitations under the License.\r
+@REM\r
+\r
+@echo off\r
+title stopping engine-d-service\r
+\r
+set HOME=%~dp0\r
+set Main_Class="org.openo.holmes.rulemgt.RuleActiveApp"\r
+\r
+echo ================== engine-d-service info =============================================\r
+echo HOME=$HOME\r
+echo Main_Class=%Main_Class%\r
+echo ===============================================================================\r
+\r
+echo ### Stopping engine-d-service\r
+cd /d %HOME%\r
+\r
+for /f "delims=" %%i in ('"%JAVA_HOME%\bin\jcmd"') do (\r
+  call find_kill_process "%%i" %Main_Class%\r
+)\r
+exit
\ No newline at end of file
diff --git a/rulemgt-standalone/src/main/assembly/bin/stop.sh b/rulemgt-standalone/src/main/assembly/bin/stop.sh
new file mode 100644 (file)
index 0000000..f9e07a4
--- /dev/null
@@ -0,0 +1,44 @@
+#!/bin/bash
+#
+# Copyright 2017 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+Main_Class="org.openo.holmes.rulemgt.RuleActiveApp"
+
+echo ================== engine-d-service info =============================================
+echo HOME=$HOME
+echo Main_Class=$Main_Class
+echo ===============================================================================
+cd $HOME; pwd
+
+echo @WORK_DIR@ $HOME
+
+function save_service_pid(){
+    service_pid=`ps -ef | grep $Main_Class | grep -v grep | awk '{print $2}'`
+    echo @service_pid@ $service_pid
+}
+
+function kill_service_process(){
+    ps -p $service_pid
+    if [ $? == 0 ]; then
+        kill -9 $service_pid
+    fi
+}
+
+save_service_pid;
+echo @C_CMD@ kill -9 $service_pid
+kill_service_process;
\ No newline at end of file
diff --git a/rulemgt-standalone/src/main/assembly/conf/rulemgt.yml b/rulemgt-standalone/src/main/assembly/conf/rulemgt.yml
new file mode 100644 (file)
index 0000000..91d6eb4
--- /dev/null
@@ -0,0 +1,127 @@
+apidescription: ZTE Holmes rule Management rest API
+
+# use the simple server factory if you only want to run on a single port
+#server:
+#  type: simple
+#  connector:
+#    type: http
+#    port: 12003
+
+server:
+  type: simple
+  rootPath:  '/api/correlation-mgt/v1/*'
+  applicationContextPath: /
+  adminContextPath: /admin
+  connector:
+    type: http
+    port: 12004
+
+# Logging settings.
+logging:
+
+  # The default level of all loggers. Can be OFF, ERROR, WARN, INFO, DEBUG, TRACE, or ALL.
+  level: INFO
+
+  # Logger-specific levels.
+  loggers:
+
+    # Sets the level for 'com.example.app' to DEBUG.
+    com.example: DEBUG
+  
+  appenders:
+    - type: console
+      threshold: INFO
+      timeZone: UTC
+      logFormat: "%d{yyyy-MM-dd HH:mm:ss SSS} %-5p [%c][%t] - %m%n"
+    - type: file
+      threshold: INFO
+      logFormat: "%d{yyyy-MM-dd HH:mm:ss SSS} %-5p [%c][%t] - %m%n"
+      currentLogFilename: ../logs/fm-relation.log
+      archivedLogFilenamePattern: ../logs/zip/fm-relation-%d{yyyy-MM-dd}.log.gz
+      archivedFileCount: 7
+  #  - type: socketJson
+      threshold: INFO 
+  #    autoDiscover: false
+  #    logstashServiceName: logstash
+   #   logstashServiceVersion: v1
+
+#database
+database:
+  driverClass: com.mysql.jdbc.Driver
+  user: root
+  password: root
+  #url: jdbc:mysql://${db_ip}:${db_port}/mysql?useUnicode=relationtesttrue&characterEncoding=UTF8
+  url: jdbc:mysql://localhost:3306/relationtest?useUnicode=true&characterEncoding=UTF8
+  properties:
+    charSet: UTF-8
+  maxWaitForConnection: 1s
+  validationQuery: "/* MyService Health Check */ SELECT 1"
+  minSize: 8
+  maxSize: 100
+  checkConnectionWhileIdle: false
+  evictionInterval: 10s
+  minIdleTime: 1s
+  #dbServiceName: dbService
+ # dbServiceVersion: v1
+
+#mqConfig:
+#  brokerIp: 127.0.0.1
+#  brokerPort: 61616
+#  autoDiscover: false
+#  mqServiceName: activemq
+#  mqServiceVersion: v1
+#
+#cacheConfig:
+#  cacheServerIp: 10.74.156.206
+#  cacheServerPort: 27017
+#  autoDiscover: false
+#  cacheServiceName: mongodbService
+#  cacheServiceVersion: v1
+#  asNamespace: zenap
+#  type: mongodb
+#  userName: zenap
+#  password: zenap
+#
+# the micro service ip
+
+#msbClientConfig:
+ # msbSvrIp: 10.74.156.206
+ # msbSvrPort: 10081
+
+#kafkaClientConf:
+#  bootstrapServers: 10.74.151.190:9092
+#  autoDiscover: true
+#  kafkaServiceName: kafka
+#  kafkaServiceVersion: v1
+#  consumerConf:
+#    properties:
+#      value.deserializer: org.apache.kafka.common.serialization.StringDeserializer
+#  producerConf:
+#    properties:
+#      value.serializer: org.apache.kafka.common.serialization.StringSerializer
+#
+#zkConfig:
+#  connectString: 10.74.151.195:2181
+#  retryPolicy:
+#    type: boundedExponentialBackoff
+#    baseSleepTimeMs: 50
+#    maxSleepTimeMs: 500
+#    maxRetries: 3
+#  sessionTimeout: 60
+#  connectionTimeout: 15
+#    autoDiscover: true
+#  zkServiceName: zk
+#  zkServiceVersion: v1
+#
+#ftpServiceConfig:
+#  type: ftp
+#  pasv: false
+#  userName: uep
+#  userPassword: U_tywg_2008_ftp
+#  ftpServerAddress: 10.74.148.251
+#  ftpServerPort: 20021
+#  ftpsServerAddress: 10.74.148.251
+#  ftpsServerPort: 20021
+#  sftpServerAddress: 10.74.148.251
+#  sftpServerPort: 20021
+#
diff --git a/rulemgt-standalone/src/main/assembly/dbscripts/mysql/openo-holmes_rulemgt-createobj.sql b/rulemgt-standalone/src/main/assembly/dbscripts/mysql/openo-holmes_rulemgt-createobj.sql
new file mode 100644 (file)
index 0000000..c8ba2bd
--- /dev/null
@@ -0,0 +1,58 @@
+--\r
+-- Copyright 2017 ZTE Corporation.\r
+--\r
+-- Licensed under the Apache License, Version 2.0 (the "License");\r
+-- you may not use this file except in compliance with the License.\r
+-- You may obtain a copy of the License at\r
+--\r
+--     http://www.apache.org/licenses/LICENSE-2.0\r
+--\r
+-- Unless required by applicable law or agreed to in writing, software\r
+-- distributed under the License is distributed on an "AS IS" BASIS,\r
+-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
+-- See the License for the specific language governing permissions and\r
+-- limitations under the License.\r
+--\r
+/******************drop old database and user***************************/\r
+use mysql;\r
+drop database IF  EXISTS holmes;\r
+delete from user where User='holmes';\r
+FLUSH PRIVILEGES;\r
+\r
+/******************create new database and user***************************/\r
+create database holmes CHARACTER SET utf8;\r
+\r
+GRANT ALL PRIVILEGES ON holmes.* TO 'holmes'@'%' IDENTIFIED BY 'holmes' WITH GRANT OPTION;\r
+GRANT ALL PRIVILEGES ON mysql.* TO 'holmes'@'%' IDENTIFIED BY 'holmes' WITH GRANT OPTION;\r
+\r
+GRANT ALL PRIVILEGES ON catalog.* TO 'holmes'@'localhost' IDENTIFIED BY 'holmes' WITH GRANT OPTION;\r
+GRANT ALL PRIVILEGES ON mysql.* TO 'holmes'@'localhost' IDENTIFIED BY 'holmes' WITH GRANT OPTION;\r
+FLUSH PRIVILEGES;\r
+\r
+use holmes;\r
+set Names 'utf8';\r
+/******************delete old table and create new***************************/\r
+use holmes;\r
+DROP TABLE IF EXISTS aplus_rule;\r
+CREATE TABLE aplus_rule (\r
+  rid varchar(30) NOT NULL,\r
+  name varchar(150) NOT NULL,\r
+  description varchar(4000)  DEFAULT NULL,\r
+  enable int(1) NOT NULL,\r
+  templateID int(10) NOT NULL,\r
+  engineType varchar(20)  NOT NULL,\r
+  creator varchar(20)  NOT NULL,\r
+  createTime datetime NOT NULL,\r
+  updator varchar(20)  DEFAULT NULL,\r
+  updateTime datetime DEFAULT NULL,\r
+  params varchar(4000)  DEFAULT NULL,\r
+  content varchar(4000)  NOT NULL,\r
+  vendor varchar(100)  NOT NULL,\r
+  package varchar(255) NULL,\r
+  PRIMARY KEY (rid),\r
+  UNIQUE KEY name (name),\r
+  KEY IDX_APLUS_RULE_ENABLE (enable),\r
+  KEY IDX_APLUS_RULE_TEMPLATEID (templateID),\r
+  KEY IDX_APLUS_RULE_ENGINETYPE (engineType)\r
+)\r
+\r
diff --git a/rulemgt-standalone/win64-assembly.xml b/rulemgt-standalone/win64-assembly.xml
new file mode 100644 (file)
index 0000000..daa3177
--- /dev/null
@@ -0,0 +1,31 @@
+<!--
+
+    Copyright 2017 ZTE Corporation.
+
+    Licensed under the Apache License, Version 2.0 (the "License");
+    you may not use this file except in compliance with the License.
+    You may obtain a copy of the License at
+
+        http://www.apache.org/licenses/LICENSE-2.0
+
+    Unless required by applicable law or agreed to in writing, software
+    distributed under the License is distributed on an "AS IS" BASIS,
+    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+    See the License for the specific language governing permissions and
+    limitations under the License.
+
+-->
+<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+    xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2 http://maven.apache.org/xsd/assembly-1.1.2.xsd">
+    <id>win64</id>
+    <formats>
+        <format>zip</format>
+    </formats>
+    <includeBaseDirectory>false</includeBaseDirectory>
+    <fileSets>
+        <fileSet>
+            <directory>target/assembly/win64</directory>
+            <outputDirectory></outputDirectory>
+        </fileSet>
+    </fileSets>
+</assembly>
diff --git a/rulemgt/dependency-reduced-pom.xml b/rulemgt/dependency-reduced-pom.xml
deleted file mode 100644 (file)
index b434fb1..0000000
+++ /dev/null
@@ -1,211 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>\r
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">\r
-  <parent>\r
-    <artifactId>holmes-rulemgt-parent</artifactId>\r
-    <groupId>org.openo.holmes.rule-management</groupId>\r
-    <version>1.1.0-SNAPSHOT</version>\r
-  </parent>\r
-  <modelVersion>4.0.0</modelVersion>\r
-  <artifactId>holmes-rulemgt</artifactId>\r
-  <name>holmes-rulemgt-service</name>\r
-  <build>\r
-    <resources>\r
-      <resource>\r
-        <directory>src/main/java</directory>\r
-        <includes>\r
-          <include>**/*.properties</include>\r
-        </includes>\r
-      </resource>\r
-      <resource>\r
-        <directory>src/main/resources</directory>\r
-      </resource>\r
-    </resources>\r
-    <plugins>\r
-      <plugin>\r
-        <artifactId>maven-jar-plugin</artifactId>\r
-        <configuration>\r
-          <archive>\r
-            <manifest>\r
-              <addDefaultImplementationEntries>true</addDefaultImplementationEntries>\r
-            </manifest>\r
-          </archive>\r
-        </configuration>\r
-      </plugin>\r
-      <plugin>\r
-        <artifactId>maven-compiler-plugin</artifactId>\r
-        <version>3.3</version>\r
-        <configuration>\r
-          <source>1.8</source>\r
-          <target>1.8</target>\r
-        </configuration>\r
-      </plugin>\r
-      <plugin>\r
-        <artifactId>maven-shade-plugin</artifactId>\r
-        <executions>\r
-          <execution>\r
-            <phase>package</phase>\r
-            <goals>\r
-              <goal>shade</goal>\r
-            </goals>\r
-            <configuration>\r
-              <transformers>\r
-                <transformer />\r
-                <transformer>\r
-                  <mainClass>org.openo.holmes.rulemgt.RuleActiveApp</mainClass>\r
-                </transformer>\r
-              </transformers>\r
-            </configuration>\r
-          </execution>\r
-        </executions>\r
-        <configuration>\r
-          <createDependencyReducedPom>true</createDependencyReducedPom>\r
-          <filters>\r
-            <filter>\r
-              <artifact>*:*</artifact>\r
-              <excludes>\r
-                <exclude>META-INF/*.SF</exclude>\r
-                <exclude>META-INF/*.DSA</exclude>\r
-                <exclude>META-INF/*.RSA</exclude>\r
-              </excludes>\r
-            </filter>\r
-          </filters>\r
-        </configuration>\r
-      </plugin>\r
-    </plugins>\r
-  </build>\r
-  <dependencies>\r
-    <dependency>\r
-      <groupId>junit</groupId>\r
-      <artifactId>junit</artifactId>\r
-      <version>4.8.2</version>\r
-      <scope>test</scope>\r
-    </dependency>\r
-    <dependency>\r
-      <groupId>io.dropwizard</groupId>\r
-      <artifactId>dropwizard-core</artifactId>\r
-      <version>0.8.0</version>\r
-      <scope>provided</scope>\r
-      <exclusions>\r
-        <exclusion>\r
-          <artifactId>dropwizard-util</artifactId>\r
-          <groupId>io.dropwizard</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>dropwizard-jackson</artifactId>\r
-          <groupId>io.dropwizard</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>dropwizard-validation</artifactId>\r
-          <groupId>io.dropwizard</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>dropwizard-configuration</artifactId>\r
-          <groupId>io.dropwizard</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>dropwizard-logging</artifactId>\r
-          <groupId>io.dropwizard</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>dropwizard-metrics</artifactId>\r
-          <groupId>io.dropwizard</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>dropwizard-jersey</artifactId>\r
-          <groupId>io.dropwizard</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>dropwizard-servlets</artifactId>\r
-          <groupId>io.dropwizard</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>dropwizard-jetty</artifactId>\r
-          <groupId>io.dropwizard</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>dropwizard-lifecycle</artifactId>\r
-          <groupId>io.dropwizard</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>metrics-jvm</artifactId>\r
-          <groupId>io.dropwizard.metrics</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>metrics-servlets</artifactId>\r
-          <groupId>io.dropwizard.metrics</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>metrics-healthchecks</artifactId>\r
-          <groupId>io.dropwizard.metrics</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>argparse4j</artifactId>\r
-          <groupId>net.sourceforge.argparse4j</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>jetty-setuid-java</artifactId>\r
-          <groupId>org.eclipse.jetty.toolchain.setuid</groupId>\r
-        </exclusion>\r
-      </exclusions>\r
-    </dependency>\r
-    <dependency>\r
-      <groupId>org.hamcrest</groupId>\r
-      <artifactId>hamcrest-library</artifactId>\r
-      <version>1.3</version>\r
-      <scope>test</scope>\r
-      <exclusions>\r
-        <exclusion>\r
-          <artifactId>hamcrest-core</artifactId>\r
-          <groupId>org.hamcrest</groupId>\r
-        </exclusion>\r
-      </exclusions>\r
-    </dependency>\r
-    <dependency>\r
-      <groupId>org.powermock</groupId>\r
-      <artifactId>powermock-module-junit4</artifactId>\r
-      <version>1.4.10</version>\r
-      <scope>test</scope>\r
-      <exclusions>\r
-        <exclusion>\r
-          <artifactId>powermock-module-junit4-common</artifactId>\r
-          <groupId>org.powermock</groupId>\r
-        </exclusion>\r
-      </exclusions>\r
-    </dependency>\r
-    <dependency>\r
-      <groupId>org.powermock</groupId>\r
-      <artifactId>powermock-api-easymock</artifactId>\r
-      <version>1.4.10</version>\r
-      <scope>test</scope>\r
-      <exclusions>\r
-        <exclusion>\r
-          <artifactId>powermock-api-support</artifactId>\r
-          <groupId>org.powermock</groupId>\r
-        </exclusion>\r
-      </exclusions>\r
-    </dependency>\r
-    <dependency>\r
-      <groupId>org.easymock</groupId>\r
-      <artifactId>easymock</artifactId>\r
-      <version>3.0</version>\r
-      <scope>test</scope>\r
-      <exclusions>\r
-        <exclusion>\r
-          <artifactId>cglib-nodep</artifactId>\r
-          <groupId>cglib</groupId>\r
-        </exclusion>\r
-        <exclusion>\r
-          <artifactId>objenesis</artifactId>\r
-          <groupId>org.objenesis</groupId>\r
-        </exclusion>\r
-      </exclusions>\r
-    </dependency>\r
-    <dependency>\r
-      <groupId>org.javassist</groupId>\r
-      <artifactId>javassist</artifactId>\r
-      <version>3.15.0-GA</version>\r
-      <scope>test</scope>\r
-    </dependency>\r
-  </dependencies>\r
-</project>\r
-\r
index c4f1ecf..5a82ed2 100644 (file)
@@ -29,6 +29,7 @@
     <packaging>jar</packaging>
 
     <dependencies>
+
         <dependency>
             <groupId>org.openo.holmes.actions</groupId>
             <artifactId>holmes-actions</artifactId>
                     <groupId>org.glassfish.jersey.containers</groupId>
                     <artifactId>jersey-container-servlet-core</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>org.apache.activemq</groupId>
+                    <artifactId>activemq-core</artifactId>
+                </exclusion>
             </exclusions>
         </dependency>
         <dependency>
             <groupId>org.glassfish.jersey.containers</groupId>
             <artifactId>jersey-container-servlet-core</artifactId>
-            <version>2.16</version>
+            <version>2.22.2</version>
         </dependency>
         <dependency>
-            <groupId>junit</groupId>
-            <artifactId>junit</artifactId>
+            <groupId>org.easymock</groupId>
+            <artifactId>easymock</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>io.dropwizard</groupId>
+            <artifactId>dropwizard-db</artifactId>
         </dependency>
         <dependency>
-            <groupId>org.openo.common-services.common-utilities</groupId>
-            <artifactId>dropwizard-ioc-container</artifactId>
+            <groupId>org.antlr</groupId>
+            <artifactId>stringtemplate</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>io.dropwizard</groupId>
+            <artifactId>dropwizard-core</artifactId>
+            <exclusions>
+                <exclusion>
+                    <groupId>ch.qos.logback</groupId>
+                    <artifactId>logback</artifactId>
+                </exclusion>
+                <exclusion>
+                    <artifactId>log4j-over-slf4j</artifactId>
+                    <groupId>org.slf4j</groupId>
+                </exclusion>
+            </exclusions>
         </dependency>
         <dependency>
             <groupId>org.projectlombok</groupId>
             <artifactId>lombok</artifactId>
         </dependency>
         <dependency>
-            <groupId>io.dropwizard</groupId>
-            <artifactId>dropwizard-db</artifactId>
+            <groupId>mysql</groupId>
+            <artifactId>mysql-connector-java</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>org.quartz-scheduler</groupId>
+            <artifactId>quartz</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>junit</groupId>
+            <artifactId>junit</artifactId>
         </dependency>
         <dependency>
             <groupId>org.hamcrest</groupId>
-            <artifactId>hamcrest-library</artifactId>
-            <version>1.3</version>
-            <scope>test</scope>
+            <artifactId>hamcrest-core</artifactId>
         </dependency>
         <dependency>
             <groupId>org.powermock</groupId>
             <artifactId>powermock-module-junit4</artifactId>
-            <version>${powermock.version}</version>
-            <scope>test</scope>
         </dependency>
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>slf4j-api</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>org.openo.client.cli</groupId>
+            <artifactId>swagger-sdk</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>io.swagger</groupId>
+            <artifactId>swagger-jersey2-jaxrs</artifactId>
+            <scope>provided</scope>
+        </dependency>
+
         <dependency>
             <groupId>org.powermock</groupId>
             <artifactId>powermock-api-easymock</artifactId>
-            <version>${powermock.version}</version>
+            <version>1.6.5</version>
             <scope>test</scope>
         </dependency>
         <dependency>
             <groupId>org.powermock</groupId>
             <artifactId>powermock-module-junit4-rule</artifactId>
-            <version>${powermock.version}</version>
+            <version>1.6.5</version>
             <scope>test</scope>
         </dependency>
         <dependency>
             <groupId>org.powermock</groupId>
             <artifactId>powermock-classloading-xstream</artifactId>
-            <version>${powermock.version}</version>
+            <version>1.6.5</version>
+            <scope>test</scope>
+        </dependency>
+        <dependency>
+            <groupId>org.hamcrest</groupId>
+            <artifactId>hamcrest-library</artifactId>
+            <version>1.3</version>
             <scope>test</scope>
         </dependency>
         <dependency>
             <groupId>org.javassist</groupId>
             <artifactId>javassist</artifactId>
             <version>3.15.0-GA</version>
-            <scope>test</scope>
         </dependency>
         <dependency>
             <groupId>org.apache.httpcomponents</groupId>